package com.yihu.jw.entity.thirdUpload;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "up_appointment_online")
@JsonIgnoreProperties(value = { "hibernateLazyInitializer", "handler" })
public class UpAppointmentOnlineDO extends UuidIdentityEntity {
    private String origin_id;
    private String cd_org;
    private String cd_area;
    private String cd_org_sub;
    private String reg_time;
    private String fg_visit;
    private String reg_dep_code;
    private String reg_dep_name;
    private String reg_subject_code;
    private String reg_subject_name;
    private BigDecimal reg_price;
    private String pt_name;
    private String ge_code;
    private String pt_age;
    private String card_type;
    private String id_no;
    private String pt_tel;
    private String crt_date;
    private Date create_time;
    private Date update_time;
    private String is_del;
    @Column(name = "cd_org_sub")
    public String getCd_org_sub() {
        return cd_org_sub;
    }

    public void setCd_org_sub(String cd_org_sub) {
        this.cd_org_sub = cd_org_sub;
    }

    @Column(name = "is_del")
    public String getIs_del() {
        return is_del;
    }

    public void setIs_del(String is_del) {
        this.is_del = is_del;
    }

    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @Column(name = "origin_id")
    public String getOrigin_id() {
        return origin_id;
    }

    public void setOrigin_id(String origin_id) {
        this.origin_id = origin_id;
    }
    @Column(name = "cd_org")
    public String getCd_org() {
        return cd_org;
    }

    public void setCd_org(String cd_org) {
        this.cd_org = cd_org;
    }
    @Column(name = "cd_area")
    public String getCd_area() {
        return cd_area;
    }

    public void setCd_area(String cd_area) {
        this.cd_area = cd_area;
    }


    @Column(name = "reg_time")
    public String getReg_time() {
        return reg_time;
    }

    public void setReg_time(String reg_time) {
        this.reg_time = reg_time;
    }
    @Column(name = "fg_visit")
    public String getFg_visit() {
        return fg_visit;
    }

    public void setFg_visit(String fg_visit) {
        this.fg_visit = fg_visit;
    }
    @Column(name = "reg_dep_code")
    public String getReg_dep_code() {
        return reg_dep_code;
    }

    public void setReg_dep_code(String reg_dep_code) {
        this.reg_dep_code = reg_dep_code;
    }
    @Column(name = "reg_dep_name")
    public String getReg_dep_name() {
        return reg_dep_name;
    }

    public void setReg_dep_name(String reg_dep_name) {
        this.reg_dep_name = reg_dep_name;
    }
    @Column(name = "reg_subject_code")
    public String getReg_subject_code() {
        return reg_subject_code;
    }

    public void setReg_subject_code(String reg_subject_code) {
        this.reg_subject_code = reg_subject_code;
    }
    @Column(name = "reg_subject_name")
    public String getReg_subject_name() {
        return reg_subject_name;
    }

    public void setReg_subject_name(String reg_subject_name) {
        this.reg_subject_name = reg_subject_name;
    }
    @Column(name = "reg_price")
    public BigDecimal getReg_price() {
        return reg_price;
    }

    public void setReg_price(BigDecimal reg_price) {
        this.reg_price = reg_price;
    }
    @Column(name = "pt_name")
    public String getPt_name() {
        return pt_name;
    }

    public void setPt_name(String pt_name) {
        this.pt_name = pt_name;
    }
    @Column(name = "ge_code")
    public String getGe_code() {
        return ge_code;
    }

    public void setGe_code(String ge_code) {
        this.ge_code = ge_code;
    }
    @Column(name = "pt_age")
    public String getPt_age() {
        return pt_age;
    }

    public void setPt_age(String pt_age) {
        this.pt_age = pt_age;
    }
    @Column(name = "card_type")
    public String getCard_type() {
        return card_type;
    }

    public void setCard_type(String card_type) {
        this.card_type = card_type;
    }
    @Column(name = "id_no")
    public String getId_no() {
        return id_no;
    }

    public void setId_no(String id_no) {
        this.id_no = id_no;
    }
    @Column(name = "pt_tel")
    public String getPt_tel() {
        return pt_tel;
    }

    public void setPt_tel(String pt_tel) {
        this.pt_tel = pt_tel;
    }

    @Column(name = "crt_date")
    public String getCrt_date() {
        return crt_date;
    }

    public void setCrt_date(String crt_date) {
        this.crt_date = crt_date;
    }
}
